-- Schema: C6StagingPeriodico
-- Stored Procedure: RP_ST_DettAltriProdotti


CREATE procedure [C6StagingPeriodico].[RP_ST_DettAltriProdotti] as  
  
begin   
  
 -- Log esecuzione  
 INSERT INTO LOG_ESECUZIONE_PERIODICO  
  (Nome, Inizio, Nota)  
 VALUES (  
  'RP_ST_DettAltriProdotti',  
  GETDATE(),  
  'Elaborazione Trimestrale'  
 )  
  
 truncate table C6StagingPeriodico.RP_DettAltriProdotti  
  
 insert into C6StagingPeriodico.RP_DettAltriProdotti  
   
   
 /* 21/05/2015FCianfa e LM: sostituzione della select * con la select puntuale e valorizzazione a NULL di campi non pił utilizzati per l'evolutiva patrimonio immobiliare.  
    select * from [CONSEVO_PERIODICO].[consulenzaEvoluta].dbo.DettAltriProdotti  
 */  
 select  [chiaveProdottoTerzi],  
 [idTipoExtra],  
 [descrizione],  
 NULL,  
 [valoreStimato],  
 NULL,  
 NULL,  
 NULL,  
 [flagAssicurativo],  
 NULL,  
 NULL,  
 NULL,  
 NULL,  
 NULL,  
 NULL,  
 NULL,  
 NULL  
   
 from [CONSUNI_PERIODICO].[consulenzaUnica].dbo.DettAltriProdotti   
   
   
 -- Log esecuzione  
 UPDATE  
  LOG_ESECUZIONE_PERIODICO  
 SET  
  Fine = GETDATE(),  
  Tipo = 'INSERT',  
  Righe = @@ROWCOUNT  
 WHERE  
  Nome = 'RP_ST_DettAltriProdotti' AND  
  Inizio = (  
   SELECT  
    MAX(Inizio)  
   FROM  
    LOG_ESECUZIONE_PERIODICO  
   WHERE  
    Nome = 'RP_ST_DettAltriProdotti'  
  )  
   
end  
  


